=== modified file 'lib/lp/services/mime.py'
--- lib/lp/services/mime.py	2010-04-27 19:48:39 +0000
+++ lib/lp/services/mime.py	2010-04-28 20:18:48 +0000
@@ -20,8 +20,10 @@
     """
     mimetypes.init()
 
-    # Add an extra extensions map for bz2 types.
+    # Add support for bz2 encodings, which is not present in python2.5.
+    mimetypes.encodings_map.setdefault('.bz2', 'bzip2')
     mimetypes.encodings_map.setdefault('.bzip2', 'bzip2')
+    mimetypes.suffix_map.setdefault('.tbz2', '.tar.bz2')
 
     # XXX: GavinPanella 2008-07-04 bug=229040: A fix has been requested
     # for Intrepid, to add .debdiff to /etc/mime.types, so we may be able

=== modified file 'test_on_merge.py'
--- test_on_merge.py	2010-04-27 19:48:39 +0000
+++ test_on_merge.py	2010-04-28 20:18:48 +0000
@@ -35,7 +35,7 @@
 
     # Tabnanny
     # NB. If tabnanny raises an exception, run
-    # python /usr/lib/python/tabnanny.py -vv lib/canonical
+    # python /usr/lib/python2.5/tabnanny.py -vv lib/canonical
     # for more detailed output.
     org_stdout = sys.stdout
     sys.stdout = StringIO()

